echo off

cls
set DESTDIR=%WEBDIR%\Algo-S2\18-19-Projets
set SRCDIR=%WEBDIR%\Algo-S2\18-19-Projets
set COLORNAMES=006600
set COLORTYPES=993399
set COLORINSTR=990000
set COLORCMNTS=888833
set COLORSTRCT=118888

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=SimpleFenetreGraphique
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ImageFenetreGraphique
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

pause

exit